Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.beans
Class Folder

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.beans.SubFolder
          org.esupportail.portal.channels.CIntranet.beans.Folder

public class Folder
extends SubFolder

Folder
Cette classe permet de manipuler les informations relatives à un dossier
(c)Copyright ESup-Portail 2004

Version:
  1.2
Author:
  Mathieu Larchet

Constructor Summary
`Folder()` Constructeur

Method Summary
`java.util.Collection` | `getDocuments()` La liste des documents
`Path` | `getPath()` Le chemin du dossier
`java.util.Collection` | `getSubFolders()` La liste des sous dossiers
`boolean` | `isRoot()` Si ce dossier est la racine
`boolean` | `isValidation()` Si ce dossier est soumis à validation
`void` | `setDocuments(java.util.Collection documents)` La liste des documents
`void` | `setParent(java.lang.String parent)` L'identifiant du dossier parent
`void` | `setPath(Path path)` Le chemin du dossier
`void` | `setRoot(boolean root)` Racine du dossier
`void` | `setSubFolders(java.util.Collection subFolders)` La liste des sous dossiers
`void` | `setValidation(boolean validation)` Dossier est soumis à validation
`java.lang.String` | `toXMLString()` La représentation XML de ce dossier

Methods inherited from class org.esupportail.portal.channels.CIntranet.beans.SubFolder
`getId, getIntranet, getName, getParent, setId, setIntranet, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Folder

    public Folder()

  Constructeur

Method Detail

### isValidation

    public boolean isValidation()

  Si ce dossier est soumis à validation

  Returns:

### setValidation

    public void setValidation(boolean validation)

  Dossier est soumis à validation

  Parameters:
    `validation` -

### setParent

    public void setParent(java.lang.String parent)

  L'identifiant du dossier parent

  Overrides:
    `setParent` in class `SubFolder`
  Parameters:
    `parent` -

### getSubFolders

    public java.util.Collection getSubFolders()

  La liste des sous dossiers

  Returns:

### setSubFolders

    public void setSubFolders(java.util.Collection subFolders)

  La liste des sous dossiers

  Parameters:
    `subFolders` -

### getDocuments

    public java.util.Collection getDocuments()

  La liste des documents

  Returns:

### setDocuments

    public void setDocuments(java.util.Collection documents)

  La liste des documents

  Parameters:
    `documents` -

### getPath

    public Path getPath()

  Le chemin du dossier

  Returns:

### setPath

    public void setPath(Path path)

  Le chemin du dossier

  Parameters:
    `path` -

### isRoot

    public boolean isRoot()

  Si ce dossier est la racine

  Returns:

### setRoot

    public void setRoot(boolean root)

  Racine du dossier

  Parameters:
    `root` -

### toXMLString

    public java.lang.String toXMLString()

  La représentation XML de ce dossier

  Overrides:
    `toXMLString` in class `SubFolder`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD